#40 jguard-jee does not compile against j2ee 1.3 api

v1.00 final
closed-fixed
9
2007-02-11
2007-01-19
No

in the jguard-jee archive,the class 'TagUtils' contains a bug in its 'getSubject' method:
it uses a jspTagException constructor which only exist in j2ee 1.4.

the fix will be included in jguard 1.0.1

Charles.

Discussion

  • Charles Lescot

    Charles Lescot - 2007-02-11

    Logged In: YES
    user_id=824172
    Originator: YES

    Tagutils class was using a jspexception constructor only present in the j2ee 1.4 spec.
    the fix will be present in the 1.0.1 release.
    maven2 pom.xml now use servlet 2.3 api.

    Charles.

     
  • Charles Lescot

    Charles Lescot - 2007-02-11
    • status: open --> closed-fixed
     

Log in to post a comment.